Table of Contents

## Name

glXQueryVersion - return the version numbers of the GLX extension

## C Specification

Bool glXQueryVersion( Display *dpy,

        int *major,
        int *minor )

eqn not supported

## Parameters

dpy
  Specifies the connection to the X server.
major
  Returns the major version number of the GLX server extension.
minor
  Returns the minor version number of the GLX server extension.

## Description

glXQueryVersion returns the major and minor version numbers of the GLX extension implemented by the server associated with connection dpy. Implementations with the same major version number are upward compatible, meaning that the implementation with the higher minor number is a superset of the version with the lower minor number.

major and minor do not return values if they are specified as NULL.

## Errors

glXQueryVersion returns False if it fails, True otherwise.

major and minor are not updated when False is returned.

## See Also

glXQueryExtension

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Errors
- See Also